%global base_name audiocd-kio

Name:    kf5-audiocd-kio
Summary: KF5 Audiocd kio slave
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://www.kde.org/applications/multimedia/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/audiocd-kio-%{version}.tar.xz


BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros

BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KIO)

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires: cmake(KF5Cddb)
BuildRequires: cmake(KF5CompactDisc)

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(phonon4qt5)

BuildRequires: pkgconfig(flac)
BuildRequires: pkgconfig(theora)
BuildRequires: pkgconfig(vorbis)
Recommends: lame
Recommends: opus-tools

Requires:  %{name}-doc = %{version}-%{release}

Conflicts: audiocd-kio < 16.08.3-10

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
Conflicts: audiocd-kio-devel
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%package doc
Summary: Documentation for %{name}
License: GFDL
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch
%description doc
Documentation for %{name}.


%prep
%autosetup -n audiocd-kio-%{version}


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-man
%find_lang %{name}-doc --all-name --with-html --without-mo



%files -f %{name}.lang
%license COPYING*
%{_kf5_datadir}/qlogging-categories5/*
%{_kf5_metainfodir}/org.kde.kio_audiocd.*.xml
%{_kf5_libdir}/libaudiocdplugins.so.5*
%{_qt5_plugindir}/libaudiocd_encoder_flac.so
%{_qt5_plugindir}/libaudiocd_encoder_lame.so
%{_qt5_plugindir}/libaudiocd_encoder_opus.so
%{_qt5_plugindir}/libaudiocd_encoder_vorbis.so
%{_qt5_plugindir}/libaudiocd_encoder_wav.so
%{_kf5_plugindir}/kio/audiocd.so
%{_kf5_datadir}/config.kcfg/audiocd_*_encoder.kcfg
%dir %{_kf5_datadir}/konqsidebartng/
%dir %{_kf5_datadir}/konqsidebartng/virtual_folders
%dir %{_kf5_datadir}/konqsidebartng/virtual_folders/services/
%{_kf5_datadir}/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_kf5_datadir}/solid/actions/solid_audiocd.desktop
%{_kf5_datadir}/applications/kcm_audiocd.desktop
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_audiocd.so

%files devel
%{_kf5_libdir}/libaudiocdplugins.so
%{_includedir}/audiocdplugins/audiocdencoder.h
%{_includedir}/audiocdplugins/audiocdplugins_export.h
%{_includedir}/audiocdplugins/audiocdplugins_version.h

%files doc -f %{name}-doc.lang
%license COPYING.DOC


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
